Get a page of a partner's products
Path Parameters
- Type: stringFormat: uuidpartner
Id required
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of products to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter products by. This can be all or part of a product name or product code.
- Type: integer · enumProduct
Status The current active status of the product, expressed as an integer.
values- Active = 1
- Inactive = 2
Responses
- application/json
Request Example for get/v1/partners/{partnerId}/products
curl 'https://api.consignlyhq.com/v1/partners/123e4567-e89b-12d3-a456-426614174000/products?PageIndex=1&PageSize=25&SearchText=milk%20powder&ProductStatus=2'
{
"index": 1,
"total": 1,
"products": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": null,
"name": null,
"lengthMM": null,
"heightMM": null,
"widthMM": null,
"isVolumeAutoCalculated": true,
"volumeM3": 1,
"weightKG": 1,
"isSerialRequired": true,
"serialTrackingMode": "enum (None = 1, FullCapture = 2, ReleaseCapture = 3)",
"productGroupId": "123e4567-e89b-12d3-a456-426614174000",
"productGroupName": null,
"productUnitTypeId": null,
"productUnitTypeName": null,
"isDangerousGood": true,
"dgProperShippingName": null,
"dgTechnicalName": null,
"dgPackagingGroup": "enum (I = 1, II = 2, III = 3)",
"dgHazchemEac": null,
"dgUnNumber": null,
"dgFlashpointDegC": null,
"dgMarinePollutant": null,
"dgPhLevel": null,
"barcode": null,
"gtin": null
}
]
}